Introduction
CloudCompute REST API for GPU offers, instances, and SSH keys.
Authenticate with your API key (`Authorization: Bearer cc-…`) from the **API access** page in the dashboard.
Authenticating requests
To authenticate requests, include an Authorization header with the value "Bearer {YOUR_AUTH_KEY}".
All authenticated endpoints are marked with a requires authentication badge in the documentation below.
Create a key at /api-access in the dashboard. The raw token is shown once at creation.
Compute API
Launch managed application GPU instances (e.g. ComfyUI) via API.
Launch application instance
requires authentication
Creates a GPU instance provisioned for the given application slug. Use auto_select: true
to pick the best matching offer from live inventory without supplying ask_id.
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/applications/comfyui-sdxl/launch" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--data "{
\"ask_id\": 12345,
\"auto_select\": true,
\"price_hour\": 5000,
\"model_preset_id\": \"default\",
\"ssh_key_ids\": [
1
],
\"user_setup_script\": \"architecto\",
\"name\": \"architecto\",
\"label\": \"architecto\",
\"disk_gb\": 16,
\"offer_disk_space\": 4326.41688,
\"offer_filters\": {
\"strict_tier_only\": false,
\"no_tier_fallback\": true,
\"reliability_min\": 8,
\"geolocation\": \"v\",
\"disk_space\": 1,
\"disk_bw_min\": 5,
\"gpu_ram\": 19,
\"inet_down\": 17,
\"inet_up\": 5,
\"direct_port_count\": 8,
\"cuda_max_good\": 14,
\"datacenter\": false,
\"reliable_only\": true,
\"free_traffic_only\": false,
\"geolocation_in\": [
\"wa\"
]
}
}"
const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/applications/comfyui-sdxl/launch"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
let body = {
"ask_id": 12345,
"auto_select": true,
"price_hour": 5000,
"model_preset_id": "default",
"ssh_key_ids": [
1
],
"user_setup_script": "architecto",
"name": "architecto",
"label": "architecto",
"disk_gb": 16,
"offer_disk_space": 4326.41688,
"offer_filters": {
"strict_tier_only": false,
"no_tier_fallback": true,
"reliability_min": 8,
"geolocation": "v",
"disk_space": 1,
"disk_bw_min": 5,
"gpu_ram": 19,
"inet_down": 17,
"inet_up": 5,
"direct_port_count": 8,
"cuda_max_good": 14,
"datacenter": false,
"reliable_only": true,
"free_traffic_only": false,
"geolocation_in": [
"wa"
]
}
};
fetch(url, {
method: "POST",
headers,
body: JSON.stringify(body),
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
Endpoints
POST api/v1/chat/completions
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/chat/completions" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/chat/completions"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "POST",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/responses
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/responses" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/responses"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "POST",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/messages
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/messages" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/messages"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "POST",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/models
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/models" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/models"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"type": "invalid_request_error",
"code": 401
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/proxies/catalog
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/proxies/catalog" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/proxies/catalog"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/proxies/options
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/proxies/options" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--data "{
\"service\": \"architecto\",
\"plan\": \"n\"
}"
const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/proxies/options"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
let body = {
"service": "architecto",
"plan": "n"
};
fetch(url, {
method: "GET",
headers,
body: JSON.stringify(body),
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/proxies/quotes
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/proxies/quotes" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--data "{
\"service\": \"architecto\",
\"configuration\": []
}"
const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/proxies/quotes"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
let body = {
"service": "architecto",
"configuration": []
};
fetch(url, {
method: "POST",
headers,
body: JSON.stringify(body),
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/proxies/orders
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/proxies/orders" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/proxies/orders"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/proxies/orders
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/proxies/orders" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--data "{
\"quote_id\": \"6ff8f7f6-1eb3-3525-be4a-3932c805afed\"
}"
const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/proxies/orders"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
let body = {
"quote_id": "6ff8f7f6-1eb3-3525-be4a-3932c805afed"
};
fetch(url, {
method: "POST",
headers,
body: JSON.stringify(body),
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/proxies/orders/{orderId}
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/proxies/orders/564" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/proxies/orders/564"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/proxies/orders/{orderId}/credentials
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/proxies/orders/564/credentials" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/proxies/orders/564/credentials"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/offers
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/offers" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/offers"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/instances
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/instances" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/instances"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/instances
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/instances" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--data "{
\"type\": 1,
\"ask_id\": 16,
\"auto_select\": false,
\"strict_offer\": true,
\"max_price_hour_minor\": 22,
\"currency\": \"gzm\",
\"expires_at\": \"2022-11-24\",
\"offer_filters\": {
\"preferred_gpu_name\": \"n\",
\"preferred_num_gpus\": 67,
\"max_price_rub\": 12
},
\"name\": \"m\",
\"stats\": \"architecto\",
\"template_image\": \"n\",
\"template_id\": 16,
\"template_hash_id\": \"n\",
\"runtype\": \"architecto\",
\"disk_gb\": 22,
\"offer_disk_space\": 7,
\"install_monitoring\": true,
\"bootstrap_profile\": \"none\",
\"onstart\": \"z\",
\"ssh_key_ids\": [
16
]
}"
const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/instances"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
let body = {
"type": 1,
"ask_id": 16,
"auto_select": false,
"strict_offer": true,
"max_price_hour_minor": 22,
"currency": "gzm",
"expires_at": "2022-11-24",
"offer_filters": {
"preferred_gpu_name": "n",
"preferred_num_gpus": 67,
"max_price_rub": 12
},
"name": "m",
"stats": "architecto",
"template_image": "n",
"template_id": 16,
"template_hash_id": "n",
"runtype": "architecto",
"disk_gb": 22,
"offer_disk_space": 7,
"install_monitoring": true,
"bootstrap_profile": "none",
"onstart": "z",
"ssh_key_ids": [
16
]
};
fetch(url, {
method: "POST",
headers,
body: JSON.stringify(body),
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/usage
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/usage" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--data "{
\"after_id\": 27,
\"limit\": 22,
\"instance_id\": 67
}"
const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/usage"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
let body = {
"after_id": 27,
"limit": 22,
"instance_id": 67
};
fetch(url, {
method: "GET",
headers,
body: JSON.stringify(body),
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/instances/{instanceId}
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/instances/564" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/instances/564"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/instances/{instanceId}/terminal-token
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/instances/564/terminal-token" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/instances/564/terminal-token"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "POST",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
PATCH api/v1/instances/{instanceId}
requires authentication
Example request:
curl --request PATCH \
"https://app.cloudcompute.ru/api/v1/api/v1/instances/564" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--data "{
\"label\": \"b\",
\"name\": \"n\",
\"expires_at\": \"2022-11-24\"
}"
const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/instances/564"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
let body = {
"label": "b",
"name": "n",
"expires_at": "2022-11-24"
};
fetch(url, {
method: "PATCH",
headers,
body: JSON.stringify(body),
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
DELETE api/v1/instances/{instanceId}
requires authentication
Example request:
curl --request DELETE \
"https://app.cloudcompute.ru/api/v1/api/v1/instances/564" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/instances/564"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "DELETE",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/ssh-keys
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/ssh-keys" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/ssh-keys"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/ssh-keys
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/ssh-keys" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--data "{
\"public_key\": \"architecto\",
\"name\": \"architecto\"
}"
const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/ssh-keys"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
let body = {
"public_key": "architecto",
"name": "architecto"
};
fetch(url, {
method: "POST",
headers,
body: JSON.stringify(body),
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
DELETE api/v1/ssh-keys/{sshKeyId}
requires authentication
Example request:
curl --request DELETE \
"https://app.cloudcompute.ru/api/v1/api/v1/ssh-keys/564" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/ssh-keys/564"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "DELETE",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/vps/catalog
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/vps/catalog" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/vps/catalog"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/vps
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/vps" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/vps"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/vps
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/vps" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/vps"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "POST",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET api/v1/vps/{vpsId}
requires authentication
Example request:
curl --request GET \
--get "https://app.cloudcompute.ru/api/v1/api/v1/vps/564" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());Example response (401):
Show headers
cache-control: no-cache, private
content-type: application/json
access-control-allow-origin: *
{
"error": {
"message": "Invalid API key.",
"code": "invalid_api_key"
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
DELETE api/v1/vps/{vpsId}
requires authentication
Example request:
curl --request DELETE \
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "DELETE",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/vps/{vpsId}/start
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564/start" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564/start"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "POST",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/vps/{vpsId}/stop
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564/stop" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564/stop"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "POST",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/vps/{vpsId}/reboot
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564/reboot" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json"const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564/reboot"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
fetch(url, {
method: "POST",
headers,
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
POST api/v1/vps/{vpsId}/ssh-keys
requires authentication
Example request:
curl --request POST \
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564/ssh-keys" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--data "{
\"ssh_key_ids\": [
16
]
}"
const url = new URL(
"https://app.cloudcompute.ru/api/v1/api/v1/vps/564/ssh-keys"
);
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Content-Type": "application/json",
"Accept": "application/json",
};
let body = {
"ssh_key_ids": [
16
]
};
fetch(url, {
method: "POST",
headers,
body: JSON.stringify(body),
}).then(response => response.json());Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.